%define ghc_version 6.8.3

Name:           haddock
Version:        2.0.0.0
Release:        3%{?dist}
Summary:        Haddock documentation tool for annotated Haskell source code

Group:          Development/Tools
License:        BSD
URL:            http://www.haskell.org/haddock/
Source0:        http://www.haskell.org/haddock/dist/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# we have only bootstrapped ghc on the following archs:
ExclusiveArch:	i386 x86_64 ppc

BuildRequires:  ghc = %{ghc_version}
BuildRequires:  coreutils libxslt docbook-style-xsl autoconf
Patch1:		haddock-2.0.0.0-ghc683-process.patch

%description
Haddock is a tool for automatically generating hyperlinked documentation from
annotated Haskell source code. It is primary intended for documenting
libraries, but it is useful for any kind of Haskell code.

Haddock lets you write documentation annotations next to the definitions of
functions and types in the source code in a lightweight syntax.


%package -n ghc-%{name}
Summary:  Libraries for working with Haddock from Haskell code
Group:    Development/Libraries
Requires:  ghc = %{ghc_version}
Obsoletes: ghc682-haddock < 2.0.0.0-3

%description -n ghc-%{name}
Libraries for working with Haddock from Haskell code.


# don't generate an empty debuginfo subpackage
%define debug_package %{nil}
%define __spec_install_post /usr/lib/rpm/brp-compress


%prep
%setup -q
%patch1 -p1 -b .1-ghc683~


%build
runhaskell Setup.lhs configure --prefix=%{_prefix} --libdir=%{_libdir} \
  --datadir=%{_datadir} --docdir=%{_docdir} --htmldir=%{_docdir} \
  --libsubdir='$compiler/$pkgid'
runhaskell Setup.lhs build
cd doc
test -f configure || autoreconf
./configure
make html


%install
rm -rf ${RPM_BUILD_ROOT}
runhaskell Setup.lhs copy --destdir=${RPM_BUILD_ROOT}
rm ${RPM_BUILD_ROOT}/%{_docdir}/LICENSE

%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/usr/bin/chcon -t unconfined_execmem_exec_t %{_libexecdir}/haddock.bin >/dev/null 2>&1 || :


%files -n ghc-%{name}
%defattr(-,root,root)
%{_libdir}/ghc-%{ghc_version}/%{name}-%{version}


%files
%defattr(-,root,root)
%doc CHANGES LICENSE README TODO
%doc doc/haddock/*
%{_bindir}/haddock
%{_datadir}/haddock-%{version}


%changelog
* Thu Jun 26 2008 Jens Petersen <petersen@redhat.com> - 2.0.0.0-3.fc10
- drop ghcver subpackage in line with ghc
- obsolete ghc682-haddock
- add haddock-2.0.0.0-ghc683-process.patch to fix build with ghc-6.8.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.0.0-2
- Autorebuild for GCC 4.3

* Mon Jan  7 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.0.0.0-1
- Update to 2.0.0.0, add library packages

* Thu Dec 20 2007 Bryan O'Sullivan <bos@serpentine.com> - 0.9-2
- Exclude alpha, ppc64

* Thu Dec 20 2007 Bryan O'Sullivan <bos@serpentine.com> - 0.9-1
- update to 0.9

* Thu Aug 16 2007 Jens Petersen <petersen@redhat.com>
- update License field

* Fri Nov  3 2006 Jens Petersen <petersen@redhat.com> - 0.8-1
- update to 0.8
- use new cabal build system
- update file list
- buildrequire autoconf

* Thu Sep 28 2006 Jens Petersen <petersen@redhat.com> - 0.7-4
- rebuild for FC6

* Fri Jun 30 2006 Jens Petersen <petersen@redhat.com> - 0.7-3
- set selinux unconfined_execmem_exec_t context to allow running under
  targeted policy (#195821)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 0.7-2
- rebuild

* Tue Sep 27 2005 Jens Petersen <petersen@redhat.com> - 0.7-1
- cleanup for Fedora Extras (Gérard Milmeister)
  - drop versioned binary
  - set standard buildroot
- do not create debuginfo
- improve the description

* Mon Aug 22 2005 Jens Petersen <petersen@redhat.com>
- 0.7 release

* Tue Jul  5 2005 Jens Petersen <petersen@haskell.org> - 0.7-0.20050705
- update to cvs snapshot
  - update filelist
  - install data files in a subdir

* Wed Dec 15 2004 Jens Petersen <petersen@haskell.org>
- spec file cleanup
- only generate docs in html

* Sat Oct 11 2003 Sven Panne <sven_panne@yahoo.com>
- Include architecture-independent files in file list

* Tue Aug 26 2003 Sven Panne <sven_panne@yahoo.com>
- Use autoreconf instead of autoconf

* Mon Jul 28 2003 Sven Panne <sven_panne@yahoo.com>
- Updated to version 0.5
- Automagically generate configure if it is not there

* Tue Jul 23 2002 Simon Marlow <simonmar@microsoft.com>
- Updated to version 0.4

* Sun Jun 23 2002 Sven Panne <sven_panne@yahoo.com>
- Cleaned up build root handling and added more docs

* Wed May 01 2002 Tom Moertel <tom-rpms@moertel.com>
- Created spec file
